{% extends 'base.html' %}
{% load static %}
{% block content %}
<section class="course">
    <div id="profile-menu">
        {% include "include/profile_menu.html" %}
    </div>
    <div class="course_content">
        <h1 class="course_content_headline">Приобретенные курсы</h1>
        <div class="course_content_list">
            
            {% for course in courses_list %}
            <div class="course_content_list_el">
                <div class="course_content_list_el_img">
                    <img src="{% static 'img/tmp/cybersec.svg' %}" alt="">
                </div>
                <div class="course_content_list_el_about">
                    <span class="course_content_list_el_about_title">
                        {{ course.name }}
                    </span>
                    <span class="course_content_list_el_about_last-task">
                        Вы остановились на: Лекция 1. “*Название лекциииииииииииииииии...*”
                    </span>
                    <div class="course_content_list_el_about_progress__container">
                        <div class="course_content_list_el_about_progress_bar">
                            <span class="course_content_list_el_about_progress_bar_filling" style="width:35%">&nbsp;</span> 
                        </div>
                        
                        <span class="course_content_list_el_about_progress_by-text">Пройдено 20.4 % курса</span>
                        <a class="course_content_list_el_about_progress_button" href="learn/{{course.id}}">Продолжить</a>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</section>
<style>
    .course_content_list_el {
        /* Базовые стили для элемента */
        cursor: pointer;
        padding: 40px;
        border-radius: 10px;
        transition: background-color 0.3s ease; /* Добавьте плавную анимацию */
    }
 
    .course_content_list_el:hover {
        background-color: #355661; /*  Задайте белый фон при наведении */
    }
</style>
<script type="text/javascript">
    let elemCourses = document.querySelectorAll(".course_content_list_el")
    elemCourses.forEach((course) => {
        let courseLink = course.querySelector(".course_content_list_el_about_progress_button")
        course.addEventListener('click', (event) => {
            window.location.href = courseLink.href
        })
    })
</script>
{% endblock content %}
